Bug 14230 - Open Babel 2.2.0 Released
: Open Babel 2.2.0 Released
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/openbabel)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-01-29 14:15 by
Modified: 2008-10-16 13:41 (History)


Attachments
spec (4.36 KB, text/plain)
2008-09-04 15:38, Denis G. Samsonenko
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-01-29 14:15:07
2007-07-07 Open Babel 2.1.1 Released. Прошу собрать новую версию в Сизиф и в
бранч-4.0.
------- Comment #1 From 2008-01-30 11:46:17 -------
Виталик, может обновишь по старой памяти?! ;-)
------- Comment #2 From 2008-06-13 13:00:39 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #3 From 2008-09-02 09:14:23 -------
Open Babel 2.2.0 was released on 2008-07-04.
------- Comment #4 From 2008-09-02 09:22:42 -------
Хотите я соберу для вас новую версию в Сизиф?
------- Comment #5 From 2008-09-02 11:00:20 -------
(In reply to comment #4)
> Хотите я соберу для вас новую версию в Сизиф?

Мне бы в бранч-4.1. Ну и в Сизиф тоже можно.
------- Comment #6 From 2008-09-03 19:16:38 -------
Если мне не изменяет склероз, то в бранч разве что бэкпорт, потому как смена
soname.
------- Comment #7 From 2008-09-03 23:20:50 -------
Слава, в Сизиф! :)
------- Comment #8 From 2008-09-04 09:20:30 -------
(In reply to comment #6)
> Если мне не изменяет склероз, то в бранч разве что бэкпорт, потому как смена
> soname.

Ну хоть в бэкпорт.
------- Comment #9 From 2008-09-04 12:42:16 -------
Денис, а не хотите заняться пакетом?  В заинтересованных руках им всегда лучше.
Я-то по старой памяти химфацкой чуточку подбирал...
------- Comment #10 From 2008-09-04 15:38:13 -------
Created an attachment (id=2875) [details]
spec

openbabel.spec
------- Comment #11 From 2008-09-04 15:39:22 -------
(In reply to comment #9)
> Денис, а не хотите заняться пакетом?  В заинтересованных руках им всегда
> лучше.
> Я-то по старой памяти химфацкой чуточку подбирал...

Я попробовал собрать. Подложил новый тарбол к старому спеку. Пришлось
подправить спек в разделе %prep. Пришлось закоментировать строку autoreconf
-fisv. Почему-то с %configure не собиралось, выдавало какие-то ошибки. Прошлось
заменить на ./configure --prefix=/usr.

В разделе %files -n lib%name пришлось заменить %_libdir/%name/*.so на
%_libdir/%name/%version/*.so. Добавил помимо %dir %_libdir/%name также %dir
%_libdir/%name/%version.

В результате вроде всё собралось и упаковалось.

Получившийся spec-файл я приаттачил.
------- Comment #12 From 2008-10-16 13:32:14 -------
*** Bug 17581 has been marked as a duplicate of this bug. ***
------- Comment #13 From 2008-10-16 13:41:10 -------
Я собрал